72 lines
2.2 KiB
Diff
72 lines
2.2 KiB
Diff
|
From 94e54563a91a631e83b4e504adec11c8841d8860 Mon Sep 17 00:00:00 2001
|
||
|
From: Vladimir 'phcoder' Serbinenko <phcoder@gmail.com>
|
||
|
Date: Fri, 26 Apr 2013 19:09:55 +0200
|
||
|
Subject: [PATCH 356/471] * tests/pseries_test.in: New test.
|
||
|
|
||
|
---
|
||
|
ChangeLog | 4 ++++
|
||
|
tests/pseries_test.in | 37 +++++++++++++++++++++++++++++++++++++
|
||
|
2 files changed, 41 insertions(+)
|
||
|
create mode 100644 tests/pseries_test.in
|
||
|
|
||
|
diff --git a/ChangeLog b/ChangeLog
|
||
|
index 19a1cf6..5ddb7a8 100644
|
||
|
--- a/ChangeLog
|
||
|
+++ b/ChangeLog
|
||
|
@@ -1,5 +1,9 @@
|
||
|
2013-04-26 Vladimir Serbinenko <phcoder@gmail.com>
|
||
|
|
||
|
+ * tests/pseries_test.in: New test.
|
||
|
+
|
||
|
+2013-04-26 Vladimir Serbinenko <phcoder@gmail.com>
|
||
|
+
|
||
|
Add test to check that different boot mediums work.
|
||
|
|
||
|
2013-04-26 Vladimir Serbinenko <phcoder@gmail.com>
|
||
|
diff --git a/tests/pseries_test.in b/tests/pseries_test.in
|
||
|
new file mode 100644
|
||
|
index 0000000..86a396a
|
||
|
--- /dev/null
|
||
|
+++ b/tests/pseries_test.in
|
||
|
@@ -0,0 +1,37 @@
|
||
|
+#! /bin/sh
|
||
|
+# Copyright (C) 2013 Free Software Foundation, Inc.
|
||
|
+#
|
||
|
+# GRUB is free software: you can redistribute it and/or modify
|
||
|
+# it under the terms of the GNU General Public License as published by
|
||
|
+# the Free Software Foundation, either version 3 of the License, or
|
||
|
+# (at your option) any later version.
|
||
|
+#
|
||
|
+# GRUB is distributed in the hope that it will be useful,
|
||
|
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
|
||
|
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
|
||
|
+# GNU General Public License for more details.
|
||
|
+#
|
||
|
+# You should have received a copy of the GNU General Public License
|
||
|
+# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
|
||
|
+
|
||
|
+set -e
|
||
|
+grubshell=@builddir@/grub-shell
|
||
|
+
|
||
|
+. "@builddir@/grub-core/modinfo.sh"
|
||
|
+
|
||
|
+if [ "${grub_modinfo_target_cpu}-${grub_modinfo_platform}" != powerpc-ieee1275 ]; then
|
||
|
+ exit 0
|
||
|
+fi
|
||
|
+
|
||
|
+if [ "$(echo hello | "${grubshell}" --pseries --timeout 180 --boot=cd)" != "Hello World" ]; then
|
||
|
+ exit 1
|
||
|
+fi
|
||
|
+
|
||
|
+if [ "$(echo hello | "${grubshell}" --pseries --timeout 180 --boot=hd)" != "Hello World" ]; then
|
||
|
+ exit 1
|
||
|
+fi
|
||
|
+
|
||
|
+# FIXME: workaround SLOF bugs
|
||
|
+#if [ "$(echo hello | "${grubshell}" --pseries --timeout 180 --boot=net)" != "Hello World" ]; then
|
||
|
+# exit 1
|
||
|
+#fi
|
||
|
--
|
||
|
1.8.2.1
|
||
|
|